%global pypi_name cachy

%{?python_enable_dependency_generator}

Name:           python-%{pypi_name}
Summary:        Simple yet effective caching library
Version:        0.2.0
Release:        3%{?dist}
License:        MIT

URL:            https://github.com/sdispater/cachy
Source0:        %{pypi_source}

# patch setup.py to use setuptools::setup instead of distutils.core::setup
Patch0:         00-cachy-setup-setuptools.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Cachy provides a simple yet effective caching library.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

#Recommends:     python3dist(memcached) >= 1.59
Recommends:     python3dist(msgpack) >= 0.5.0
Recommends:     python3dist(redis) >= 2.10.0

%description -n python3-%{pypi_name}
Cachy provides a simple yet effective caching library.


%prep
%autosetup -n %{pypi_name}-%{version} -p1


%build
%py3_build


%install
%py3_install


%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jan 17 2019 Fabio Valentini <decathorpe@gmail.com> - 0.2.0-2
- Add Recommends for optional dependencies.

* Wed Dec 12 2018 Fabio Valentini <decathorpe@gmail.com> - 0.2.0-1
- Initial package.

